Unity旧版粒子系统升级器

Unity2018.2.x之后,旧版 Particle System 相关API就完全移除掉了,这个升级器是Unity官方发布的,它可以ParticleEmitter, ParticleAnimator, ParticleRenderer等组件转换为ParticleSystem 和 ParticleSystemRenderer组件.在Unity2017.x版本中,旧版粒子系统组件将会这样提示:

因为Unity2018.2.x之后的版本移除了旧版粒子系统的API,所以要使用Unity2017.4.x~Unity2018.2.x之间的版本才可以能正常打开有旧版粒子系统的场景,但如果有写粒子相关的程序,那么只能使用2017.4.x以前的版本.将升级器的代码(https://gist.github.com/karljj1/58f16e936d13a94ae6a2f741fd271d91)复制保存为Legacy_Particle_System_Updater.cs放在项目的Assets下的任意路径下,也可以直接下载下面的压缩包解压使用:

待脚本编译完成后在菜单中可以看到升级粒子系统的选项:

点击后弹出升级器的窗口,点击后将在所有带有旧版粒子系统的Gameobject上添加新版粒子系统组件,同时旧版的组件将禁用:

选择升级所有Gameobject或者升级所选的,升级后如下图:

旧组件还在,可以检查差异性,也可以移除调只保留新的粒子系统组件,当然也要更新程序中的API,比如粒子停止是Stop()了.

到新版Unity中拥抱粒子吧,先写到这里,回见!

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注